function [hiv,K] = havaib(maxi,mini,zei,siz,Kz,Ks)
%HAVAIB   supporting file for havobo.m / casbod.m; do NOT call stand-alone!
%         [hiv,K] = havaib(maxi,mini,zei,siz,Kz,Ks)
% Vorbereitung fuer allgemeine Indexberechnung und Berechnung der K-Matrix

% SCHLUESSELWOERTER: Hilfsfile

% Copyright (c) 1994 Hagen Jahn
%                    TU Dresden; Elektrotechnisches Institut
%                    Mommsenstr. 13; D-01062 Dresden; Germany

% Berechnung der K-Matrix nach Algorithmus
K(1,1)=1; K(1,2)=4; K(1,3)=9; K(2,2)=1; K(2,3)=6; K(3,3)=1;
for x=3:Kz K(x,2)=0; end; for x=4:Kz K(x,3)=0; end;
for i=4:Ks K(1,i)=i^2;
  for x=2:Kz K(x,1)=0;
    K(x,i)=K(x,i-1)+K(x,i-2)+K(x-1,i-1)+K(x-1,i-2)-K(x,i-3);
end; end;
% Vorbereitung der Indexberechnung   
if (mini<0)
   hiv (-mini)=0;
end
hiv (1-mini)=1;
for i=1:siz(zei,2)
    hiv (1-mini+i)=siz(zei,2+i);
end
hiv (maxi+1-mini)=0;  % Vorsicht: Wenn Vektorordnung nicht ohnehin
		      % ueberschritten wird,
		      % extern maxi:=maxi+1 noetig !!!
		      